<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="d-block d-lg-none pb-4">
  <p class="pt-2"><span class="text-secondary">Order ID:</span> <?= $cart['voucher'] ?></p>
  <p class="pt-2"><span class="text-secondary">Date purchased:</span> <?= date('d/m/Y', strtotime($cart['date'])) ?></p>
</div>
<div class="pay-track px-2 px-lg-4 bg-lg-white">
  <h5 class="d-none d-lg-block py-3"><b>Order status</b></h5>
  <div class="ps-lg-3">
    <div class="section<?= $cart['paid'] == 1 ? ' active' : '' ?>">
      <p>Order Placed</p>
      <!-- <p class="text-small"><?= ($cart['paid'] == 1) ? date('d-m-Y | H:i', strtotime($cart['date'])) : ''; ?></p> -->
    </div>
    <div class="section<?= $delivery['order_status']  === 'Shipment Created' || $delivery['order_status']  === 'Shipped' || $delivery['order_status']  === 'Delivered'  ? ' active' : '' ?>">
      <?php $trans = $delivery ? (date('Y-m-d ', strtotime($delivery['date'])) . date('H:i', strtotime($delivery['created_at']))) : ''; ?>
      <p>Shipped</p>
      <!-- <p class="text-small"><?= $delivery ? date('d-m-Y | H:i', strtotime($trans)) : ''; ?></p> -->
    </div>
    <div class="section<?= $delivery['order_status']  === 'Shipped' || $delivery['order_status']  === 'Delivered' ? ' active' : '' ?>">
      <p>In Transit</p>
      <!-- <p class="text-small"><?= $delivery ? (date('d-m-Y | H:i', strtotime('+25 minutes', strtotime($trans)))) : ''; ?></p> -->
    </div>
    <div class="section<?= $delivery['order_status']  === 'Delivered' ? ' active' : '' ?>">
      <p>Delivered</p>
    </div>
  </div>
</div>
<?php if ($page == 'order_tracking'): ?>
  <div id="page-title">Order Tracking</div>
<?php endif ?>