<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (!isset($_SESSION['xfront_customer'])) : ?>
  <?php require_once('not_logged.php') ?>
<?php else : ?>
  <div class="row pt-lg-3">
    <div class="col-lg-4 pt-3 pt-lg-0">
      <div id="naver">
        <div class="d-block d-lg-none hideable">
          <a href="javascript:void(0)" data-ref="#support" class="link-2 nav--link active first">
            <span><i class="ix ix-support"></i> Contact Us</span> <i class="ix ix-chevron-right"></i></a>
          <a href="javascript:void(0)" data-ref="#complaint" class="link-2 nav--link">
            <span><i class="ix ix-not-equal"></i> Raise Complaint</span> <i class="ix ix-chevron-right"></i></a>
        </div>
        <div class="d-none d-lg-block">
          <a href="javascript:void(0)" data-ref="#support" class="link-2 nav--link active first">
            <span><i class="ix ix-support"></i> Contact Us</span> <i class="ix ix-chevron-right"></i></a>
          <a href="javascript:void(0)" data-ref="#complaint" class="link-2 nav--link">
            <span><i class="ix ix-not-equal"></i> Raise Complaint</span> <i class="ix ix-chevron-right"></i></a>
        </div>
      </div>
    </div>
    <div class="col-lg-8">
      <div class="ms-lg-5" id="nav-container">
        <div class="nav-content active first" id="support">
          <h6 class="heading">Contact Us</h6>
          <div class="pt-lg-5">
            <a href="https://wa.me/xcel" class="link-2"><span><i class="ix ix-whatsapp"></i> Contact us on Whatsapp</span> <i class="ix ix-chevron-right"></i></a>
            <a href="https://instagram.com/xcel" class="link-2"><span><i class="ix ix-instagram"></i> Contact us on Instagram</span> <i class="ix ix-chevron-right"></i></a>
            <a href="https://linkedin.com/xcel" class="link-2"><span><i class="ix ix-linkedin"></i> Contact us on LinkedIn</span> <i class="ix ix-chevron-right"></i></a>
            <a href="https://x.com/xcel" class="link-2"><span><i class="ix ix-twitter"></i> Contact us on X</span> <i class="ix ix-chevron-right"></i></a>
          </div>
        </div>
        <div class="nav-content" id="complaint">
          <h6 class="heading">Raise Complaint</h6>
          <div class="pt-lg-4">
            <h6 class="py-lg-3 pb-3">Please fill all details</h6>
            <?= form_open(base_url('complain'), ['class' => 'myForm']); ?>
            <div class="form-group mb-3">
              <b>E-mail address</b>
              <input type="email" name="email" class="form-control" placeholder="Enter email address" value="<?= $profile['email'] ?>" required />
            </div>
            <div class="form-group mb-3">
              <b>Title</b>
              <select class="form-select" name="type">
                <option class="d-none">Choose a category</option>
                <option value="Dispatch">Dispatch issue</option>
                <option value="Payment">Payment issue</option>
              </select>
            </div>
            <div class="form-group mb-3">
              <b>More information</b>
              <textarea rows="6" name="details" class="form-control" placeholder="Tell us what the problem is" required></textarea>
            </div>
            <div class="fixed-bottom small-fix bg-white">
              <div class="container py-3 px-lg-0">
                <button data-ref="<?= base_url('shop/post/support'); ?>" class="btn btn-supreme submit-x w-100">Submit</button>
              </div>
            </div>
            <?= form_close(); ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="<?= base_url('assets/js/account.js') ?>"></script>
<?php endif; ?>
<span id="page-title">Support</span>