var cropType = $('.done').hasClass('logo') || $('.done').hasClass('item') ? 'square' : 'circle';
var dims = $('.done').hasClass('logo') ? [300, 100] : [200, 200];
dims = $('.done').hasClass('item') ? [240, 160] : dims;

$image_crop = $('#image_demo').croppie({
  enableExif: true,
  viewport: {
    width:dims[0],
    height:dims[1],
    type:cropType
  },
  boundary:{
    width:dims[0]+5,
    height:dims[1]+5
  }
});

$('#upload_image').on('change', function(){
  var reader = new FileReader();
  $('#image_demo').show();
  reader.onload = function (event) {
    $image_crop.croppie('bind', {
      url: event.target.result
    });
  }
  reader.readAsDataURL(this.files[0]);
  $('.upload_container').hide();
  $('.load_btn').text('Change image');
  $('.done').show();
});

$('.done').click(function(event){
  $('.load_btn, .done').hide();
  $('.submit').attr('disabled',false);
  let url = $(this).data('ref');
  $image_crop.croppie('result', {
    type: 'canvas',
    size: {width: dims[0]+100, height: dims[1]+100}
  }).then(function(response){
    let prev = response;
    response = response.replace('data:image/png;base64,', '');
    if ($('.done').hasClass('item')) {
      $('#image').val(response);
      $('.upload_container img').attr('src', prev);
      $('.upload_container').show();
      $('#image_demo').hide();
    } else {
      $.ajax({
        url:url,
        type: "POST",
        data:{"image": response},
        success:function(data)
        {
          if (data.indexOf('success') != -1) location.reload();
        }
      });
    }
  })
});
$('#image_demo').hide();
$('.done').hide();
