<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php $this->load->helper('cookie'); ?>
<!DOCTYPE html>
<html lang="en">
<head>	
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="<?= base_url('assets/ixicons/ixicons.css'); ?>">
	<link rel="stylesheet" type="text/css" href="<?= base_url('assets/toaster/toast.style.min.css'); ?>">
	<link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/2c792ea7fbe861fc0830a0fd72c9e447.css'); ?>">
	<link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/printer.css'); ?>">
	<link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>">
	<script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
	<script type="text/javascript" src="<?= base_url('assets/toaster/toast.script.js') ?>"></script>
	<script type="text/javascript" src="<?= base_url('assets/js/'. md5('er_default') .'.js'); ?>" defer></script>
	<?php if ($this->session->flashdata('xfront_message') != ''): ?>
	<script type="text/javascript" defer>
	  $.Toast('Success', '<?= $this->session->flashdata('xfront_message') ?>', 'success', {
	    has_icon:true,
	    timeout:7000,
	    position_class: 'toast-top-right',
	    rtl:false
	  });
	</script>
	<?php endif ?>
	<title><?= ucwords(str_replace('_', ' ', $page)) ?> - Xcel</title>
</head>
<body data-theme="<?= get_cookie('xcel_theme') ?? 'light' ?>">
	