<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<div class="navigation text-nowrap">
  <a href="<?= base_url('shop.aspx'); ?>" class="nav-link<?= ($page == 'home') ? ' active' : ''; ?>">
    <i class="ix ix-home<?= ($page != 'home') ? '-o' : ''; ?>"></i><span>Home</span>
  </a>
  <a href="<?= base_url('shop/notifications.aspx') ?>" class="d-none d-lg-inline-flex nav-link<?= ($page == 'notifications') ? ' active' : ''; ?>">
    <span class="d-inline-block position-relative">
      <span class="cart-count d-none d-lg-block">
        <?= (isset($_SESSION['xcel-notice']) && $_SESSION['xcel-notice'] > 0) ? $_SESSION['xcel-notice'] : ''; ?></span>
      <i class="ix ix-bell-o"></i>
    </span>
    <span>Notifications</span>
  </a>
  <a href="<?= base_url('shop/categories.aspx') ?>" class="d-block d-lg-none nav-link<?= in_array($page, ['categories', 'market']) ? ' active' : ''; ?>">
    <i class="ix ix-shapes<?= ( ! in_array($page, ['categories', 'market'])) ? '-o' : ''; ?>"></i>
    <span>Category</span>
  </a>
  <a href="<?= base_url('shop/categories.aspx?load_market=true') ?>" class="d-none d-lg-flex nav-link<?= in_array($page, ['categories', 'market']) ? ' active' : ''; ?>">
    <i class="ix ix-shapes<?= ( ! in_array($page, ['categories', 'market'])) ? '-o' : ''; ?>"></i>
    <span>Category</span>
  </a>
  <a href="<?= base_url('shop/cart.aspx'); ?>" class="nav-link<?= ($page == 'cart') ? ' active' : ''; ?>">
    <span class="d-inline-block position-relative">
      <span class="cart-count cart-cart d-none d-lg-block">
        <?= (isset($_SESSION['xcel-cart'])) ? count($_SESSION['xcel-cart']) : ''; ?></span>
      <i class="ix ix-cart<?= ($page != 'cart') ? '-o' : ''; ?>"></i>
    </span>
    <span>Cart</span>
  </a>
  <a href="<?= base_url('shop/support.aspx'); ?>" class="nav-link<?= ($page == 'support') ? ' active' : ''; ?>">
    <i class="ix ix-question<?= ($page != 'support') ? '-o' : ''; ?>"></i><span>Support</span>
  </a>
  <a href="<?= base_url('account.aspx'); ?>" class="nav-link<?= ($page == 'account') ? ' active' : ''; ?>">
    <i class="ix ix-user<?= ($page != 'account') ? '-o' : ''; ?>"></i><span>Account</span>
  </a>
</div>