/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'ixfonts\'">' + entity + '</span>' + html;
	}
	var icons = {
		'ix-padlock': '&#xe91c;',
		'ix-twitter': '&#xe918;',
		'ix-linkedin': '&#xe919;',
		'ix-instagram': '&#xe91a;',
		'ix-whatsapp': '&#xe91b;',
		'ix-arrow-left': '&#xe910;',
		'ix-cart': '&#xe908;',
		'ix-cart-o': '&#xe907;',
		'ix-chevron-left': '&#xe906;',
		'ix-chevron-right': '&#xe905;',
		'ix-cube': '&#xe903;',
		'ix-file-text': '&#xe902;',
		'ix-filter': '&#xe909;',
		'ix-heart': '&#xe911;',
		'ix-heart-o': '&#xe904;',
		'ix-home': '&#xe915;',
		'ix-home-o': '&#xe90e;',
		'ix-logout': '&#xe900;',
		'ix-message': '&#xe901;',
		'ix-not-equal': '&#xe916;',
		'ix-question': '&#xe90b;',
		'ix-question-o': '&#xe90c;',
		'ix-shapes': '&#xe90a;',
		'ix-shapes-o': '&#xe912;',
		'ix-star': '&#xe913;',
		'ix-star-o': '&#xe914;',
		'ix-support': '&#xe917;',
		'ix-user': '&#xe90f;',
		'ix-user-o': '&#xe90d;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/ix-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
