$(document).ready(function () {
  $("#naver .nav--link").click(function (e) {
    e.preventDefault();

    if (!$(this).hasClass("active") || $(this).hasClass("first")) {
      $(".nav--link").removeClass("active");
      $(".nav-content").removeClass("active first");
      $(".hideable").addClass("d-none");
      $(this).addClass("active");

      let content = $(`${$(this).data("ref")}`);
      content.addClass("active");
      $("#nav-container").addClass("active").css("min-height", "100%");
      $("#title").text($(this).text());
      $(".navigation").addClass("hidden");
    }
  });

  let cxdata = null;
  $.get("https://countriesnow.space/api/v0.1/countries", function (res) {
    res.data.forEach((country) => {
      $("#countries").append(
        `<option value="${country.iso3}">${country.country}</option>`
      );
    });
    ctx = $("#ctx").val() || "NGA";
    $("#countries").val(ctx);
    cxdata = res.data;
  });

  let cxdata0 = null;
  $.get("https://countriesnow.space/api/v0.1/countries", function (res) {
    res.data.forEach((country) => {
      $("#countries0").append(
        `<option value="${country.iso3}">${country.country}</option>`
      );
    });
    ctx0 = $("#ctx0").val() || "NGA";
    $("#countries0").val(ctx0);
    cxdata0 = res.data;
  });

  let cxdata1 = null;
  $.get("https://countriesnow.space/api/v0.1/countries", function (res) {
    res.data.forEach((country) => {
      $("#countries1").append(
        `<option value="${country.iso3}">${country.country}</option>`
      );
    });
    ctx1 = $("#ctx1").val() || "NGA";
    $("#countries1").val(ctx1);
    cxdata1 = res.data;
  });

  let cxdata2 = null;
  $.get("https://countriesnow.space/api/v0.1/countries", function (res) {
    res.data.forEach((country) => {
      $("#countries2").append(
        `<option value="${country.iso3}">${country.country}</option>`
      );
    });
    ctx2 = $("#ctx2").val() || "NGA";
    $("#countries2").val(ctx2);
    cxdata2 = res.data;
  });

  let historyText = $("#page-title").text();
  $("#backer").click(function () {
    $("#nav-container").removeClass("active");
    if ($("#title").text() == historyText) history.back();
    $("#title").text(historyText);
    $(".nav--link").removeClass("active");
    $(".navigation").removeClass("hidden");
    $(".hideable").removeClass("d-none");
  });

  $(".switch-toggle").click(function (e) {
    e.preventDefault();

    if ($(this).hasClass("inactive")) {
      $(".switch-toggle").addClass("inactive");
      $(this).removeClass("inactive");
      $(".switch").addClass("d-none");
      $($(this).attr("href")).removeClass("d-none");
    }
  });

  window.addEventListener("popstate", function (e) {
    var state = e.state;
    if (state !== null) {
      $("#backer").trigger("click");
    }
  });

  // let currentPage = window.location.href;
  // currentPage = currentPage.substring(currentPage.lastIndexOf('#'));
  // currentPage = (currentPage.indexOf('#') != -1) ? currentPage : '#profile';
  // $(`#naver .nav--link[href="${currentPage}"]`).trigger('click');

  $("#osearch").keyup(function () {
    let term = $(this).val();
    $(".cart").removeClass("d-none");
    $(".cart").each(function () {
      console.log($(this).data("id").indexOf(term));
      if ($(this).data("id").indexOf(term) == -1) $(this).addClass("d-none");
    });
  });
});
